IPMI-FRU(8)

."############################################################################# ."$Id: ipmi-fru.8.pre.in,v 1.1 2007/06/27 21:35:33 chu11 Exp $ ."############################################################################# ." Copyright (C) 2007 The Regents of the University of California. ." Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). ." Written by Albert Chu <chu11@llnl.gov> ." UCRL-CODE-228523 ." ." This file is part of Ipmi-fru, a tool used for retrieving motherboard ." field replaceable unit (FRU) information. For details, ." see http://www.llnl.gov/linux/. ." ." Ipmi-fru is free software; you can redistribute it and/or modify it under ." the terms of the GNU General Public License as published by the Free ." Software Foundation; either version 2 of the License, or (at your option) ." any later version. ." ." Ipmi-fru is distributed in the hope that it will be useful, but WITHOUT ." ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or ." FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ." for more details. ." ." You should have received a copy of the GNU General Public License along ." with Ipmi-fru; if not, write to the Free Software Foundation, Inc., ." 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. ."#############################################################################

NAME
ipmi-fru - manual page for ipmi-fru. IPMI FRU 0.4.6

DESCRIPTION
Displays Field Replaceable Unit (FRU) Information.

OPTIONS

--no-probing
    Do not probe IPMI devices.

-D, --driver-type=IPMIDRIVER
    Use this IPMIDRIVER instead of auto selection. Allowed values are KCS, SMIC, SSIF, LAN, and OPENIPMI.

--driver-address=DRIVERADDR
    Use this DRIVERADDR address instead of probed one.

--driver-device=DEVICE Use this DEVICE for IPMI driver.

-r, --register-spacing=EGISTERSPACING
    Use this REGISTERSPACING instead of the probed one.

-h, --hostname=IPMIHOST
    Connect to IPMIHOST. IPMIHOST may include host ranges. See HOSTRANGED OUTPUT below.

-u, --username=USERNAME
    Use USERNAME instead of NULL. Maximum USERNAME length is 16.

-p, --password=PASSWORD
    Use PASSWORD instead of NULL. Maximum PASSWORD length is 16.

-P, --password-prompt
    Prompt for password to avoid possibility of listing it in process lists.

-a, --auth-type=AUTHTYPE
    Use AUTHTYPE instead of MD5. Allowed values are NONE, MD2, MD5, and PLAIN.

-l, --priv-level=PRIVILEGE-LEVEL
    Use this PRIVILEGE-LEVEL instead of USER. Allowed values are CALLBACK, USER, OPERATOR, ADMIN and OEM.

--debug
    Turn on debugging.

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

-e, --device-id
    Specify a specific FRU device ID you wish to retrieve.

-v, --verbose
    Verbose FRU output.

-vv, --verbose
    Very verbose FRU output.

-s, --skip-checks
    Ignore checksums in FRUs. Some FRUs have incorrect checksums, but the FRU data is correct. Use this option to skip the checks checksum. Output may be unknown, pray for the best.

-f, --flush-cache
    Flush sensor data repository (SDR) cache.

-Q, --quiet-cache
    Do not output information about cache creation/deletion.

--sdr-cache-directory=DIRECTORY
    Use DIRECTORY for sensor data repository (SDR) cache.

-B, --buffer-output
    Buffer hostranged output. For each node, buffer standard output until the node has completed its IPMI operation. When specifying this option, data may appear to output slower to the user since the the entire IPMI operation must complete before any data can be output. See HOSTRANGED SUPPORT below for additional information.

-C, --consolidate-output
    Consolidate hostranged output. The complete standard output from every node specified will be consolidated so that nodes with identical output are not output twice. A header will list those nodes with the consolidated output. When this option is specified, no output can be seen until the IPMI operations to all nodes has completed. If the user breaks out of the program early, all currently consolidated output will be dumped. See HOSTRANGED OUTPUT below for additional information.

-F, --fanout
    Set multiple host fanout. A "sliding window" (or fanout) algorithm is used for parallel IPMI communication so that slower nodes or timed out nodes will not impede parallel communication. The maximum number of threads available at the same time is limited by the fanout. The default is 64. See HOSTRANGED OUTPUT below for additional information.

-E, --eliminate
    Eliminate hosts determined as undetected by ipmidetect. This attempts to remove the common issue of hostranged execution timing out due to several nodes being removed from service in a large cluster. The ipmidetectd daemon must be running on the node executing the command. See HOSTRANGED OUTPUT below for additional information.

HOSTRANGED OUTPUT
The host input specified by the user can accept multiple hosts for parallel out of band communication and output. Multiple hosts can be input either as an explicit comma seperated lists of hosts or a range of hostnames in the general form: prefix[n-m,l-k,...], where n < m and l < k, etc. The later form should not be confused with regular expression character classes (also denoted by []). For example, foo[19] does not represent foo1 or foo9, but rather represents a degenerate range: foo19.

This range syntax is meant only as a convenience on clusters with a prefixNN naming convention and specification of ranges should not be considered necessary -- the list foo1,foo9 could be specified as such, or by the range foo[1,9].

Some examples of range usage follow:
    foo[01-05] instead of foo01,foo02,foo03,foo04,foo05
    foo[7,9-10] instead of foo7,foo9,foo10
    foo[0-3] instead of foo0,foo1,foo2,foo3

As a reminder to the reader, some shells will interpret brackets ([ and ]) for pattern matching. Depending on your shell, it may be necessary to enclose ranged lists within quotes.

By default, standard output from each node specified will be output with the hostname prepended to each line. Although this output is readable in many situations, it may be difficult to read in other situations. For example, output from multiple nodes may be mixed together. The -B and -C options can be used to change this default.

In-band IPMI Communication will be used when the host "localhost" is specified. This allows the user to add the localhost into the hostranged output.

REPORTING BUGS
Report bugs to <freeipmi-devel@gnu.org>.

COPYRIGHT
Copyright © 2003,04,05 FreeIPMI Core Team. This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.

SEE ALSO
The full documentation for ipmi-fru is maintained as a Texinfo manual. If the info and ipmi-fru programs are properly installed at your site, the command

    info ipmi-fru

should give you access to the complete manual.